var path = require('path');
var webpack = require('webpack');

module.exports = {
    devtool: 'eval',
    entry: [
        'webpack-dev-server/client?http://localhost:3000',
        './assets/scripts/src/choices'
    ],
    output: {
        path: path.join(__dirname, 'dist'),
        filename: 'choices.min.js',
        publicPath: '/assets/scripts/dist/'
    },
    plugins: [
        new webpack.HotModuleReplacementPlugin(),
        new webpack.DefinePlugin({
            'process.env': {
                'NODE_ENV': JSON.stringify('development')
            }
        })
    ],
    module: {
        loaders: [{
            test: /\.js$/,
            exclude: /(node_modules|bower_components)/,
            loaders: ['babel'],
            include: path.join(__dirname, 'assets/scripts/src')
        }]
    }
};